import { LoggerService, DynamicModule } from "@nestjs/common";
import { ModuleMetadata } from "@nestjs/common/interfaces";
import pinoHttp from "pino-http";
import pino, { LoggerOptions, DestinationStream } from "pino";
declare type PassedLogger = {
    logger: pino.Logger;
};
export declare type Params = null | pinoHttp.Options | DestinationStream | [pinoHttp.Options, DestinationStream];
export interface LoggerModuleAsyncOptions extends Pick<ModuleMetadata, "imports" | "providers"> {
    useFactory: (...args: any[]) => Params;
    inject?: any[];
}
export declare class Logger implements LoggerService {
    private readonly outOfContext;
    constructor(options: Params);
    verbose(message: any, context?: string, ...args: any[]): void;
    debug(message: any, context?: string, ...args: any[]): void;
    log(message: any, context?: string, ...args: any[]): void;
    warn(message: any, context?: string, ...args: any[]): void;
    error(message: any, trace?: string, context?: string, ...args: any[]): void;
    private readonly logger;
}
export declare class LoggerModule {
    static forRoot(opts?: PassedLogger | LoggerOptions | DestinationStream): DynamicModule;
    static forRoot(opts: LoggerOptions, stream: DestinationStream): DynamicModule;
    static forRootAsync(options: LoggerModuleAsyncOptions): DynamicModule;
}
export {};
